ランタイム: Mix::Graphics::Utility::IPerspectiveRenderer Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::Utility::IPerspectiveRenderer Class Referenceabstract

パースペクティブレンダラーインターフェース More...

`#include <IPerspectiveRenderer.h>`

Inheritance diagram for Mix::Graphics::Utility::IPerspectiveRenderer:
[legend]
Collaboration diagram for Mix::Graphics::Utility::IPerspectiveRenderer:
[legend]

## Public Member Functions

virtual void | SetColor (const Mix::Vector4 &color)=0
| 色を設定します More...
virtual const Mix::Vector4 & | GetColor (void) const =0
| 色を取得します return 色を表す Mix::Vector4 クラスを返します More...
virtual void | SetMatrix (const Mix::Matrix4x4 &mat)=0
| 変換行列を設定します More...
virtual const Mix::Matrix4x4 & | GetMatrix (void) const =0
| 変換行列を取得します More...
virtual void | AddLine (const Mix::Vector3 &p0, const Mix::Vector3 &p1)=0
| ラインを追加します More...
virtual void | AddLines (const Mix::Vector3 *points, UInt32 pointNum)=0
| ラインを追加します More...
virtual void | AddAxis (Float32 scale=1.0f)=0
| 軸を追加します More...
virtual void | AddBox (const Mix::Vector3 &halfExtents)=0
| ボックスを追加します More...
virtual void | AddBox (const Mix::Geometry::OBB &obb)=0
| ボックスを追加します More...
virtual void | AddBox (const Mix::Geometry::AABB &aabb)=0
| ボックスを追加します More...
virtual void | AddCylinder (UInt32 axis, Float32 length, Float32 radius)=0
| シリンダーを追加します More...
virtual void | AddCapsule (UInt32 axis, Float32 length, Float32 radius)=0
| カプセルを追加します More...
virtual void | AddFrustum (const Mix::Geometry::Frustum &frustum)=0
| フラスタムを追加します More...
virtual void | AddSphere (Float32 radius)=0
| スフィアを追加します More...
virtual void | AddSphere (const Mix::Vector3 &radius)=0
| スフィアを追加します More...
virtual void | AddSphere (const Mix::Vector3 &center, Float32 radius)=0
| スフィアを追加します More...
virtual void | AddSphere (const Mix::Vector3 &center, const Mix::Vector3 &radius)=0
| スフィアを追加します More...
virtual void | AddSphere (const Mix::Geometry::Sphere &sphere)=0
| スフィアを追加します More...
virtual void | AddCone (const Mix::Vector3 &pos, const Mix::Vector3 &vec, Float32 angle, UInt32 divCount)=0
| コーン( 円錐 )を追加します More...
virtual void | AddDisc (const Mix::Vector3 &axis, Float32 radius)=0
| ディスク(円盤)を追加します More...
virtual void | AddPolygon (const Mix::Vector3 *points, UInt32 pointNum)=0
| 多角形を追加します More...
virtual void | Update (void)=0
| 更新を行います More...
virtual void | Draw (const Mix::Matrix4x4 &viewProjMat)=0
| 描画を行います More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IPerspectiveRenderer (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

パースペクティブレンダラーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::Utility::IPerspectiveRenderer::~IPerspectiveRenderer | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::SetColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

色を設定します

Parameters

  [in] | color | 色を表す Mix::Vector4 クラス

virtual const Mix::Vector4& Mix::Graphics::Utility::IPerspectiveRenderer::GetColor | ( | void |  | ) | const

pure virtual

色を取得します return 色を表す Mix::Vector4 クラスを返します

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::SetMatrix | ( | const Mix::Matrix4x4 & | mat | ) |

pure virtual

変換行列を設定します

Parameters

  [in] | mat | 変換行列を表す Mix::Matrix4x4 クラス

virtual const Mix::Matrix4x4& Mix::Graphics::Utility::IPerspectiveRenderer::GetMatrix | ( | void |  | ) | const

pure virtual

変換行列を取得します

Returns
  変換行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddLine | ( | const Mix::Vector3 & | p0,
|  | const Mix::Vector3 & | p1
| ) |  |

pure virtual

ラインを追加します

Parameters

  [in] | p0 | 一つ目のポイントを表す Mix::Vector3 クラス
  [in] | p1 | 二つ目のポイントを表す Mix::Vector3 クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddLines | ( | const Mix::Vector3 * | points,
|  | UInt32 | pointNum
| ) |  |

pure virtual

ラインを追加します

Parameters

  [in] | points | ポイントテーブルを表す Mix::Vector3 クラスのポインタ
  [in] | pointNum | ポイントの数( 2の倍数である必要があります )

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddAxis | ( | Float32 | scale = `1.0f` | ) |

pure virtual

軸を追加します

Parameters

  [in] | scale | スケール

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddBox | ( | const Mix::Vector3 & | halfExtents | ) |

pure virtual

ボックスを追加します

Parameters

  [in] | halfExtents | ボックスの半分のサイズを表す Mix::Vector3 クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddBox | ( | const Mix::Geometry::OBB & | obb | ) |

pure virtual

ボックスを追加します

Parameters

  [in] | obb | ボックスを表す Mix::Geometry::OBB クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddBox | ( | const Mix::Geometry::AABB & | aabb | ) |

pure virtual

ボックスを追加します

Parameters

  [in] | aabb | ボックスを表す Mix::Geometry::AABB クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddCylinder | ( | UInt32 | axis,
|  | Float32 | length,
|  | Float32 | radius
| ) |  |

pure virtual

シリンダーを追加します

Parameters

  [in] | axis | 軸( 0:X 1:Y 2:Z )
  [in] | length | 半球の部分を含む軸の長さ
  [in] | radius | 半径

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddCapsule | ( | UInt32 | axis,
|  | Float32 | length,
|  | Float32 | radius
| ) |  |

pure virtual

カプセルを追加します

Parameters

  [in] | axis | 軸( 0:X 1:Y 2:Z )
  [in] | length | 半球の部分を含む軸の長さ
  [in] | radius | 半径

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddFrustum | ( | const Mix::Geometry::Frustum & | frustum | ) |

pure virtual

フラスタムを追加します

Parameters

  [in] | frustum | フラスタムを表す Mix::Geometry::Frustum クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddSphere | ( | Float32 | radius | ) |

pure virtual

スフィアを追加します

Parameters

  [in] | radius | 半径

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddSphere | ( | const Mix::Vector3 & | radius | ) |

pure virtual

スフィアを追加します

Parameters

  [in] | radius | XYZの半径を表す Mix::Vector3 クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddSphere | ( | const Mix::Vector3 & | center,
|  | Float32 | radius
| ) |  |

pure virtual

スフィアを追加します

Parameters

  [in] | center | 中心座標を表す Mix::Vector3 クラス
  [in] | radius | 半径

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddSphere | ( | const Mix::Vector3 & | center,
|  | const Mix::Vector3 & | radius
| ) |  |

pure virtual

スフィアを追加します

Parameters

  [in] | center | 中心座標を表す Mix::Vector3 クラス
  [in] | radius | XYZの半径を表す Mix::Vector3 クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddSphere | ( | const Mix::Geometry::Sphere & | sphere | ) |

pure virtual

スフィアを追加します

Parameters

  [in] | sphere | スフィアを表す Mix::Geometry::Sphere クラス

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddCone | ( | const Mix::Vector3 & | pos,
|  | const Mix::Vector3 & | vec,
|  | Float32 | angle,
|  | UInt32 | divCount
| ) |  |

pure virtual

コーン( 円錐 )を追加します

Parameters

  [in] | pos | コーンの頂点を表す Mix::Vector3 クラス
  [in] | vec | コーンの頂点から底面の中心へのベクトルを表す Mix::Vector3 クラス
  [in] | angle | コーンの外角( ラジアン単位 )
  [in] | divCount | 分割数( 4〜36 )

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddDisc | ( | const Mix::Vector3 & | axis,
|  | Float32 | radius
| ) |  |

pure virtual

ディスク(円盤)を追加します

Parameters

  [in] | axis | ディスクの軸を表す Mix::Vector3 クラス
  [in] | radius | ディスクの半径

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::AddPolygon | ( | const Mix::Vector3 * | points,
|  | UInt32 | pointNum
| ) |  |

pure virtual

多角形を追加します

Parameters

  [in] | points | 多角形の点を表す Mix::Vector3 クラスの配列
  [in] | pointNum | 点の数

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::Update | ( | void |  | ) |

pure virtual

更新を行います

virtual void Mix::Graphics::Utility::IPerspectiveRenderer::Draw | ( | const Mix::Matrix4x4 & | viewProjMat | ) |

pure virtual

描画を行います

Parameters

  [in] | viewProjMat | 透視変換行列を表す Mix::Matrix4x4 クラス

The documentation for this class was generated from the following file:

- Mix/Graphics/Utility/IPerspectiveRenderer.h